org.richfaces.component

## Class RenderPhaseDataScrollerVisitor

- java.lang.Object
- - org.richfaces.component.RenderPhaseDataScrollerVisitor

- All Implemented Interfaces:
    org.richfaces.event.RenderPhaseComponentVisitor

      public class RenderPhaseDataScrollerVisitor
      extends java.lang.Object
      implements org.richfaces.event.RenderPhaseComponentVisitor

  Created 08.03.2008
  Since:
    3.2
  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderPhaseDataScrollerVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterComponent(javax.faces.component.UIComponent component, javax.faces.event.PhaseEvent event, java.lang.Object object)`
    `void` | `afterRoot(javax.faces.event.PhaseEvent event, java.lang.Object object)`
    `void` | `beforeComponent(javax.faces.component.UIComponent component, javax.faces.event.PhaseEvent event, java.lang.Object object)`
    `java.lang.Object` | `beforeRoot(javax.faces.event.PhaseEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderPhaseDataScrollerVisitor

          public RenderPhaseDataScrollerVisitor()

  - ### Method Detail

    - #### beforeRoot

          public java.lang.Object beforeRoot(javax.faces.event.PhaseEvent event)

      Specified by:
        `beforeRoot` in interface `org.richfaces.event.RenderPhaseComponentVisitor`

    - #### beforeComponent

          public void beforeComponent(javax.faces.component.UIComponent component,
                             javax.faces.event.PhaseEvent event,
                             java.lang.Object object)

      Specified by:
        `beforeComponent` in interface `org.richfaces.event.RenderPhaseComponentVisitor`

    - #### afterComponent

          public void afterComponent(javax.faces.component.UIComponent component,
                            javax.faces.event.PhaseEvent event,
                            java.lang.Object object)

      Specified by:
        `afterComponent` in interface `org.richfaces.event.RenderPhaseComponentVisitor`

    - #### afterRoot

          public void afterRoot(javax.faces.event.PhaseEvent event,
                       java.lang.Object object)

      Specified by:
        `afterRoot` in interface `org.richfaces.event.RenderPhaseComponentVisitor`

Copyright © 2013. All Rights Reserved.